apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  name: builders.container.mom
spec:
  group: container.mom
  names:
    kind: Builder
    plural: builders
    singular: builder
  scope: Namespaced
  versions:
    - name: v1alpha1
      served: true
      storage: true
      schema:
        openAPIV3Schema:
          type: object
          properties:
            spec:
              type: object
              properties:
                base:
                  type: object
                  properties:
                    image:
                      type: string
                    workDir:
                      type: string
                build:
                  type: array
                  items:
                    type: string
                run:
                  type: object
                  properties:
                    command:
                      type: array
                      items:
                        type: string
                    ports:
                      type: array
                      items:
                        type: integer
                    env:
                      type: array
                      items:
                        type: object
                        properties:
                          name:
                            type: string
                          value:
                            type: string 